Bug 1030980 - dnf downgrade PACKAGE, misleading message about possible typo if PACKAGE is not installed
Summary: dnf downgrade PACKAGE, misleading message about possible typo if PACKAGE is n...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 20
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Holy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-15 12:44 UTC by Jaroslav Škarvada
Modified: 2015-10-06 02:14 UTC (History)
6 users (show)

Fixed In Version: dnf-0.4.8-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-24 23:42:24 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jaroslav Škarvada 2013-11-15 12:44:05 UTC
Description of problem:
Dnf writes misleading message about possible typo if the package is not installed. Maybe this can also happen with its other commands.

Version-Release number of selected component (if applicable):
dnf-0.4.7-1.fc20.noarch

How reproducible:
always

Steps to Reproduce:
1. dnf remove acpid
2. dnf downgrade acpid

Actual results:
  * Maybe you meant: acpid
Nothing to do

Expected results:
No "* Maybe you meant: acpid" message

Additional info:
This doesn't happen if the package is installed
# dnf install acpid
# dnd downgrade acpid
...downgrade in progress

The same commands with yum:
a) without acpid
# yum downgrade acpid
Loaded plugins: langpacks, refresh-packagekit
No Match for available package: acpid-2.0.20-1.fc20.i686
Nothing to do

b) with acpid
# yum downgrade acpid
...downgrade in progress

Maybe the yum output is not the best, but at least less confusing (at least for me).

Comment 1 Ales Kozumplik 2013-11-18 07:37:21 UTC
Definitely a bug, Radek can you please take a look at this when the time permits? Thanks.

Comment 2 Radek Holy 2013-11-20 13:09:54 UTC
Fixed by 9c70e7bb975ff21c4b07b75bb417d6250cab28dd on master.

Comment 3 Fedora Update System 2013-11-21 15:56:30 UTC
dnf-0.4.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.8-1.fc20

Comment 4 lnie 2013-11-22 04:35:09 UTC
fixed with dnf-0.4.8-1.fc20

Comment 5 Fedora Update System 2013-11-24 04:04:12 UTC
Package dnf-0.4.8-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.8-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22052/dnf-0.4.8-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-11-24 23:42:24 UTC
dnf-0.4.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.